CREATE OR REPLACE PROCEDURE MEMEBLOCQUE(p_codeinsee VARCHAR2) 
IS
    v_rowidCompare ROWID;
    v_blockCompare NUMBER;
BEGIN
    SELECT ROWID INTO v_rowidCompare FROM COMMUNE WHERE CODEINSEE = p_codeinsee;
    v_blockCompare := DBMS_ROWID.ROWID_BLOCK_NUMBER(v_rowidCompare);

    FOR rec IN (SELECT CODEINSEE, NOMCOMMAJ FROM COMMUNE WHERE DBMS_ROWID.ROWID_BLOCK_NUMBER(ROWID) = v_blockCompare) LOOP
        DBMS_OUTPUT.PUT_LINE('Code Insee: ' || rec.CODEINSEE || ', Name: ' || rec.NOMCOMMAJ);
    END LOOP;
EXCEPTION
    WHEN NO_DATA_FOUND THEN
        DBMS_OUTPUT.PUT_LINE('No record found for CODEINSEE ' || p_codeinsee);
    WHEN OTHERS THEN
        DBMS_OUTPUT.PUT_LINE('An error occurred: ' || SQLERRM);
END MEMEBLOCQUE;
/